
/*****************************************************************************/
/*                                                                           */
/*                	  National Instruments GPIB-VXI    		                 */
/*				 DownLoadable Code Instrument Functions					     */
/*                                                                           */
/*                   (C) 1989  National Instruments                          */
/*                                                                           */
/*****************************************************************************/
/* The following include file is used to solve function type conflicts in
 * the C code that calls these functions.
 */

extern SignalOut(), ControlOut();
extern uint16 *VXIregBase();
extern CommonBuf *CreateBuf(), *DuplicateCommonBuf();
extern CommonBuf *DCIParserDeq(), *DCIParserQuery();
extern DCIParserEnq();
extern SafeReadWord(), SafeReadByte(), SafeWriteWord(), SafeWriteByte();
extern uint32 NVconf();
extern DCIwsClear(), HWwsClear();
extern SendDORrequest();
extern Enable68881(), Disable68881();
extern ClearParser(), CIAbortNormalOperation(), CIEndNormalOperation();
extern CIReleaseDevice();
extern DMAmove(); 
extern I_SetTrigSrc(), I_SetTrigOutFP(), I_SourceTrig();

    /* NOTE: The following work only on a GPIB-VXI/C, Not GPIB-VXI */
extern InitTIC(), SrcTrig(), EnableTrigSense(), DisableTrigSense();
extern WaitForTrig(), SetTrigHandler(), GetTrigHandler(), cknowledgeTrig();
extern MapTrigToTrig(), UnMapTrigToTrig();
extern TrigAssertConfig(), TrigExtConfig(), TrigCntrConfig(), TrigTickConfig();



	/* This generates the external reference for the DCI Header Block */
extern DCI_node DCIheader;


