
/*****************************************************************************/
/*                                                                           */
/*                	National Instruments GPIB-VXI Project                    */
/*						DownLoable Code Instruments							 */
/*                                                                           */
/*                     (C) 1989  National Instruments                        */
/*                                                                           */
/*****************************************************************************/
/*	The following defines allow a Code Instrument to have access to the
 * values held on the GPIB-VXI dip switches.  If the non-volatile configuration
 * is set to over-ride the dip switches, a Code Instrument may define the
 * switch meaning to be anything it desires.
 * The value returned in an unsigned character equivalent to the value of the
 * dip switch.  The two dip switches are the Servant Area dip and the GPIB
 * dip.  All 8 bits may be used on the Servant Area dip.  The lower 5 bits
 * may be used on the GPIB dip (the upper three bits are reserved for 
 * startup mode).
 *
 * NOTE: This dip switches are only the GPIB-VXI only, not the GPIB-VXI/C.
 */

#define ServantAreaDip()    (int8)(*(uint16 *)0xfd8030>>8)
#define GpibDip()           (int8)(*(uint16 *)0xfd8030)

