
/*****************************************************************************/
/*                                                                           */
/*                 National Instruments GPIB-VXI Project                     */
/*                                                                           */
/*                    (C) 1989  National Instruments                         */
/*                                                                           */
/*****************************************************************************/
/*
 *	This file is used to define all of the data sizes used in the C code.
 * It is done like this so porting code to another C compiler which uses
 * different data sizes for the same name (i.e. int = 16 bits or 32 bits)
 * is as simple as changing the following typedefs.
 */

	/* data sizes for Green Hills C */
typedef unsigned char  int8;
typedef unsigned char  uint8;
typedef short          int16;
typedef unsigned short uint16;
typedef long           int32;
typedef unsigned long  uint32;

	/* structure to allow both byte and word access to a 16 bit location */
typedef union word_t {
		struct { int8 hi,lo; } b;
		int16 w;
	} word_t;
typedef char * caddr_t;



