
/*****************************************************************************/
/*                                                                           */
/*                	National Instruments GPIB-VXI Project                    */
/*						DownLoable Code Instruments							 */
/*                                                                           */
/*                     (C) 1989  National Instruments                        */
/*                                                                           */
/*****************************************************************************/

/***** VXIbus Signals and Event Codes *****/
/*
 *  Event Codes reserved and defined for VXIbus
 */

#define EVENT_00	    (int32) 0x0000
#define EVENT_01	    (int32) 0x0100
#define EVENT_02	    (int32) 0x0200
#define EVENT_03	    (int32) 0x0300
#define EVENT_04	    (int32) 0x0400
#define EVENT_05	    (int32) 0x0500
#define EVENT_06	    (int32) 0x0600
#define EVENT_07	    (int32) 0x0700
#define EVENT_08	    (int32) 0x0800
#define EVENT_09	    (int32) 0x0900
#define EVENT_0A	    (int32) 0x0A00
#define EVENT_0B	    (int32) 0x0B00
#define EVENT_0C	    (int32) 0x0C00
#define EVENT_0D	    (int32) 0x0D00
#define EVENT_0E	    (int32) 0x0E00
#define EVENT_0F	    (int32) 0x0F00

#define EVENT_10	    (int32) 0x1000
#define EVENT_11	    (int32) 0x1100
#define EVENT_12	    (int32) 0x1200
#define EVENT_13	    (int32) 0x1300
#define EVENT_14	    (int32) 0x1400
#define EVENT_15	    (int32) 0x1500
#define EVENT_16	    (int32) 0x1600
#define EVENT_17	    (int32) 0x1700
#define EVENT_18	    (int32) 0x1800
#define EVENT_19	    (int32) 0x1900
#define EVENT_1A	    (int32) 0x1A00
#define EVENT_1B	    (int32) 0x1B00
#define EVENT_1C	    (int32) 0x1C00
#define EVENT_1D	    (int32) 0x1D00
#define EVENT_1E	    (int32) 0x1E00
#define EVENT_1F	    (int32) 0x1F00

#define EVENT_20	    (int32) 0x2000
#define EVENT_21	    (int32) 0x2100
#define EVENT_22	    (int32) 0x2200
#define EVENT_23	    (int32) 0x2300
#define EVENT_24	    (int32) 0x2400
#define EVENT_25	    (int32) 0x2500
#define EVENT_26	    (int32) 0x2600
#define EVENT_27	    (int32) 0x2700
#define EVENT_28	    (int32) 0x2800
#define EVENT_29	    (int32) 0x2900
#define EVENT_2A	    (int32) 0x2A00
#define EVENT_2B	    (int32) 0x2B00
#define EVENT_2C	    (int32) 0x2C00
#define EVENT_2D	    (int32) 0x2D00
#define EVENT_2E	    (int32) 0x2E00
#define EVENT_2F	    (int32) 0x2F00

#define EVENT_30	    (int32) 0x3000
#define EVENT_31	    (int32) 0x3100
#define EVENT_32	    (int32) 0x3200
#define EVENT_33	    (int32) 0x3300
#define EVENT_34	    (int32) 0x3400
#define EVENT_35	    (int32) 0x3500
#define EVENT_36	    (int32) 0x3600
#define EVENT_37	    (int32) 0x3700
#define EVENT_38	    (int32) 0x3800
#define EVENT_39	    (int32) 0x3900
#define EVENT_3A	    (int32) 0x3A00
#define EVENT_3B	    (int32) 0x3B00
#define EVENT_3C	    (int32) 0x3C00
#define EVENT_3D	    (int32) 0x3D00
#define EVENT_3E	    (int32) 0x3E00
#define EVENT_3F	    (int32) 0x3F00

#define EVENT_40	    (int32) 0x4000
#define EVENT_41	    (int32) 0x4100
#define EVENT_42	    (int32) 0x4200
#define EVENT_43	    (int32) 0x4300
#define EVENT_44	    (int32) 0x4400
#define EVENT_45	    (int32) 0x4500
#define EVENT_46	    (int32) 0x4600
#define EVENT_47	    (int32) 0x4700
#define EVENT_48	    (int32) 0x4800
#define EVENT_49	    (int32) 0x4900
#define EVENT_4A	    (int32) 0x4A00
#define EVENT_4B	    (int32) 0x4B00
#define EVENT_4C	    (int32) 0x4C00
#define EVENT_4D	    (int32) 0x4D00
#define EVENT_4E	    (int32) 0x4E00
#define EVENT_4F	    (int32) 0x4F00

#define EVENT_50	    (int32) 0x5000
#define EVENT_51	    (int32) 0x5100
#define EVENT_52	    (int32) 0x5200
#define EVENT_53	    (int32) 0x5300
#define EVENT_54	    (int32) 0x5400
#define EVENT_55	    (int32) 0x5500
#define EVENT_56	    (int32) 0x5600
#define EVENT_57	    (int32) 0x5700
#define EVENT_58	    (int32) 0x5800
#define EVENT_59	    (int32) 0x5900
#define EVENT_5A	    (int32) 0x5A00
#define EVENT_5B	    (int32) 0x5B00
#define EVENT_5C	    (int32) 0x5C00
#define EVENT_5D	    (int32) 0x5D00
#define EVENT_5E	    (int32) 0x5E00
#define EVENT_5F	    (int32) 0x5F00

#define EVENT_60	    (int32) 0x6000
#define EVENT_61	    (int32) 0x6100
#define EVENT_62	    (int32) 0x6200
#define EVENT_63	    (int32) 0x6300
#define EVENT_64	    (int32) 0x6400
#define EVENT_65	    (int32) 0x6500
#define EVENT_66	    (int32) 0x6600
#define EVENT_67	    (int32) 0x6700
#define EVENT_68	    (int32) 0x6800
#define EVENT_69	    (int32) 0x6900
#define EVENT_6A	    (int32) 0x6A00
#define EVENT_6B	    (int32) 0x6B00
#define EVENT_6C	    (int32) 0x6C00
#define EVENT_6D	    (int32) 0x6D00
#define EVENT_6E	    (int32) 0x6E00
#define EVENT_6F	    (int32) 0x6F00

#define EVENT_70	    (int32) 0x7000
#define EVENT_71	    (int32) 0x7100
#define EVENT_72	    (int32) 0x7200
#define EVENT_73	    (int32) 0x7300
#define EVENT_74	    (int32) 0x7400
#define EVENT_75	    (int32) 0x7500
#define EVENT_76	    (int32) 0x7600
#define EVENT_77	    (int32) 0x7700
#define EVENT_78	    (int32) 0x7800
#define EVENT_79	    (int32) 0x7900
#define EVENT_7A	    (int32) 0x7A00
#define EVENT_7B	    (int32) 0x7B00
#define EVENT_7C	    (int32) 0x7C00
#define EVENT_7D	    (int32) 0x7D00
#define EVENT_7E	    (int32) 0x7E00
#define EVENT_7F	    (int32) 0x7F00

/*
 *  Signals for user-defined events
 */

#define SIG_USIG00	    (int32) 0x8000
#define SIG_USIG01	    (int32) 0x8100
#define SIG_USIG02	    (int32) 0x8200
#define SIG_USIG03	    (int32) 0x8300
#define SIG_USIG04	    (int32) 0x8400
#define SIG_USIG05	    (int32) 0x8500
#define SIG_USIG06	    (int32) 0x8600
#define SIG_USIG07	    (int32) 0x8700
#define SIG_USIG08	    (int32) 0x8800
#define SIG_USIG09	    (int32) 0x8900
#define SIG_USIG10	    (int32) 0x8A00
#define SIG_USIG11	    (int32) 0x8B00
#define SIG_USIG12	    (int32) 0x8C00
#define SIG_USIG13	    (int32) 0x8D00
#define SIG_USIG14	    (int32) 0x8E00
#define SIG_USIG15	    (int32) 0x8F00

#define SIG_USIG16	    (int32) 0x9000
#define SIG_USIG17	    (int32) 0x9100
#define SIG_USIG18	    (int32) 0x9200
#define SIG_USIG19	    (int32) 0x9300
#define SIG_USIG20	    (int32) 0x9400
#define SIG_USIG21	    (int32) 0x9500
#define SIG_USIG22	    (int32) 0x9600
#define SIG_USIG23	    (int32) 0x9700
#define SIG_USIG24	    (int32) 0x9800
#define SIG_USIG25	    (int32) 0x9900
#define SIG_USIG26	    (int32) 0x9A00
#define SIG_USIG27	    (int32) 0x9B00
#define SIG_USIG28	    (int32) 0x9C00
#define SIG_USIG29	    (int32) 0x9D00
#define SIG_USIG30	    (int32) 0x9E00
#define SIG_USIG31	    (int32) 0x9F00

#define SIG_USIG32	    (int32) 0xA000
#define SIG_USIG33	    (int32) 0xA100
#define SIG_USIG34	    (int32) 0xA200
#define SIG_USIG35	    (int32) 0xA300
#define SIG_USIG36	    (int32) 0xA400
#define SIG_USIG37	    (int32) 0xA500
#define SIG_USIG38	    (int32) 0xA600
#define SIG_USIG39	    (int32) 0xA700
#define SIG_USIG40	    (int32) 0xA800
#define SIG_USIG41	    (int32) 0xA900
#define SIG_USIG42	    (int32) 0xAA00
#define SIG_USIG43	    (int32) 0xAB00
#define SIG_USIG44	    (int32) 0xAC00
#define SIG_USIG45	    (int32) 0xAD00
#define SIG_USIG46	    (int32) 0xAE00
#define SIG_USIG47	    (int32) 0xAF00

#define SIG_USIG48	    (int32) 0xB000
#define SIG_USIG49	    (int32) 0xB100
#define SIG_USIG50	    (int32) 0xB200
#define SIG_USIG51	    (int32) 0xB300
#define SIG_USIG52	    (int32) 0xB400
#define SIG_USIG53	    (int32) 0xB500
#define SIG_USIG54	    (int32) 0xB600
#define SIG_USIG55	    (int32) 0xB700
#define SIG_USIG56	    (int32) 0xB800
#define SIG_USIG57	    (int32) 0xB900
#define SIG_USIG58	    (int32) 0xBA00
#define SIG_USIG59	    (int32) 0xBB00
#define SIG_USIG60	    (int32) 0xBC00
#define SIG_USIG61	    (int32) 0xBD00
#define SIG_USIG62	    (int32) 0xBE00
#define SIG_USIG63	    (int32) 0xBF00

/*
 *  Signals reserved and defined for VXIbus
 */

#define SIG_UC0	    (int32) 0xC000
#define SIG_UC1	    (int32) 0xC100
#define SIG_UC2	    (int32) 0xC200
#define SIG_UC3	    (int32) 0xC300
#define SIG_UC4	    (int32) 0xC400
#define SIG_UC5	    (int32) 0xC500
#define SIG_UC6	    (int32) 0xC600
#define SIG_UC7	    (int32) 0xC700
#define SIG_UC8	    (int32) 0xC800
#define SIG_UC9	    (int32) 0xC900
#define SIG_UCA	    (int32) 0xCA00
#define SIG_UCB	    (int32) 0xCB00
#define SIG_UCC	    (int32) 0xCC00
#define SIG_UCD	    (int32) 0xCD00
#define SIG_UCE	    (int32) 0xCE00
#define SIG_UCF	    (int32) 0xCF00

#define SIG_UD0	    (int32) 0xD000
#define SIG_UD1	    (int32) 0xD100
#define SIG_UD2	    (int32) 0xD200
#define SIG_UD3	    (int32) 0xD300
#define SIG_UD4	    (int32) 0xD400
#define SIG_UD5	    (int32) 0xD500
#define SIG_UD6	    (int32) 0xD600
#define SIG_UD7	    (int32) 0xD700
#define SIG_UD8	    (int32) 0xD800
#define SIG_UD9	    (int32) 0xD900
#define SIG_UDA	    (int32) 0xDA00
#define SIG_UDB	    (int32) 0xDB00
#define SIG_UDC	    (int32) 0xDC00
#define SIG_UDD	    (int32) 0xDD00
#define SIG_UDE	    (int32) 0xDE00
#define SIG_SMP_ARSACK	    (int32) 0xDF00

#define SIG_SMP_SRSACK	    (int32) 0xE000
#define SIG_SMP_ARESET	    (int32) 0xE100
#define SIG_SMP_SRESET	    (int32) 0xE200
#define SIG_SMP_APKTAVL	    (int32) 0xE300
#define SIG_SMP_SPKTAVL	    (int32) 0xE400
#define SIG_SMP_CHACK	    (int32) 0xE500
#define SIG_SMP_CHINT32	    (int32) 0xE600
#define SIG_SMP_CHINT24	    (int32) 0xE700
#define SIG_SMP_STUPERR	    (int32) 0xE800
#define SIG_SMP_AREQ32	    (int32) 0xE900
#define SIG_SMP_SREQ32	    (int32) 0xEA00
#define SIG_SMP_AREQ24	    (int32) 0xEB00
#define SIG_SMP_SREQ24	    (int32) 0xEC00
#define SIG_SMP_CHGCNCT	    (int32) 0xED00
#define SIG_UNREC_CMD	    (int32) 0xEE00
#define SIG_UEF	    (int32) 0xEF00

#define SIG_UF0	    (int32) 0xF000
#define SIG_UF1	    (int32) 0xF100
#define SIG_UF2	    (int32) 0xF200
#define SIG_UF3	    (int32) 0xF300
#define SIG_UF4	    (int32) 0xF400
#define SIG_UF5	    (int32) 0xF500
#define SIG_UF6	    (int32) 0xF600
#define SIG_UF7	    (int32) 0xF700
#define SIG_UF8	    (int32) 0xF800
#define SIG_UF9	    (int32) 0xF900
#define SIG_UFA	    (int32) 0xFA00
#define SIG_UFB	    (int32) 0xFB00
#define SIG_REQF    (int32) 0xFC00
#define SIG_REQT    (int32) 0xFD00
#define SIG_UFE	    (int32) 0xFE00
#define SIG_NO_CAUSE    (int32) 0xFF00

